using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IEducationStatusLogic
    {
        bool Create(EducationStatusBindingModel model);
        bool Update(EducationStatusBindingModel model);
        bool Delete(EducationStatusBindingModel model);
        List<EducationStatusViewModel>? ReadList(EducationStatusSearchModel? model);
        EducationStatusViewModel? ReadElement(EducationStatusSearchModel model);
    }
}
